NSX-T Data Center Global Manager REST API
Create or replace a Policy Context Profile
Creates a new Policy Context Profile or fully replaces an existing one.The entire profile is replaced with the contents of the request body;
any fields not included in the request will be reset to their defaults.
Rules for using attributes and sub-attributes in a single PolicyContextProfile:
1. Each attribute key may appear only once per profile. (e.g. APP_ID
can be specified at most once.)
2. Multiple values for an attribute must be supplied as an array.
3. When sub-attributes are provided for an attribute, that attribute
must have exactly one value.
4. The reserved id "custom_attributes" must not be used as a profile id.
Request:
Method:
PUT
URI Path(s):
/global-manager/api/v1/global-infra/context-profiles/{context-profile-id}
Request Headers:
n/a
Query Parameters:
OverrideRequestParameters+
Request Body:
PolicyContextProfile+
Example Request:
PUT https://<policy-mgr>/global-manager/api/v1/global-infra/context-profiles/testPolicyContextProfile { "resource_type":"PolicyContextProfile", "display_name":"testPolicyContextProfile", "description":"Test Policy Context Profile", "attributes":[ { "key":"APP_ID", "value":[ "SSL" ], "datatype":"STRING", "sub_attributes":[ { "key":"TLS_VERSION", "value": [ "TLS_V13" ], "datatype":"STRING" }, { "key":"TLS_CIPHER_SUITE", "value": [ "TLS_RSA_EXPORT_WITH_RC4_40_MD5" ], "datatype":"STRING" } ] }, { "key":"DOMAIN_NAME", "value": [ "*.office365.com" ], "datatype":"STRING" } ] }Successful Response:
Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
PolicyContextProfile+